Bug 1266138 - WAS: stopping Business Central from admin console does not provide proper clean-up
WAS: stopping Business Central from admin console does not provide proper cle...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR2
: 6.2.0
Assigned To: Alexandre Porcelli
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 11:03 EDT by Radovan Synek
Modified: 2015-12-01 07:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error stacktrace (21.06 KB, text/plain)
2015-09-24 11:03 EDT, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-09-24 11:03:25 EDT
Created attachment 1076589 [details]
error stacktrace

Description of problem:
Stopping and starting again Business Central via WebShere web admin console fails due to java.nio.channels.OverlappingFileLockException. After deleting .niogit and .index and trying to start Business Central once more, another exception raises - Address already in use localhost:9418. Truly when the application is in stopped state, I can see both SSH and GIT deamons are listening on its ports. This issue effectively forces user to switch off and on the entire application server.
Tried a similar approach (to undeploy and deploy Business Central via web console) with EAP and experienced no such issue.

Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
always

Steps to Reproduce:
1. deploy Business Central to WebSphere, start the application
2. stop the application
3. start the application again, error occurs in server log
Comment 2 Radovan Synek 2015-11-23 12:00:44 EST
I have to reassign the issue as it fails with the same symptoms. I have checked the steps to reproduce and found one possible source of confusion; the issue cannot be reproduced with an empty niogit. Please let me make those steps more accurate:

1. deploy Business Central to WebSphere, start the application
2. create an org. unit, repository and project, create an asset, e.g. DRL file and save it
3. stop the application
4. start the application again, error occurs in server log
Comment 4 Radovan Synek 2015-12-01 07:27:26 EST
Verified with BPMS-6.2.0-CR2.

However, an error shows in server log when stopping Business Central, see bug 1287065 for more details.

Note You need to log in before you can comment on or make changes to this bug.